<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<!--
  Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation
 
  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.
 
  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT
 
  SPDX-License-Identifier: MIT
-->
<plugin>
   <extension point="org.eclipse.ui.editors">
      <editor
         name="Chi Text Editor"
         class="org.eclipse.escet.chi.texteditor.ChiTextEditor"
         id="org.eclipse.escet.chi.texteditor.ChiTextEditor"
         contributorClass="org.eclipse.ui.editors.text.TextEditorActionContributor"
         default="true"
         extensions="chi"
         icon="icons/chi_ascii_file.png">
      </editor>
   </extension>

   <extension point="org.eclipse.core.resources.markers"
              id="org.eclipse.escet.chi.texteditor.ChiSyntaxError"
              name="Chi Syntax Error">
      <persistent value="true"/>
      <super type="org.eclipse.core.resources.problemmarker"/>
      <super type="org.eclipse.core.resources.textmarker"/>
   </extension>

   <extension point="org.eclipse.core.resources.markers"
              id="org.eclipse.escet.chi.texteditor.ChiSemanticError"
              name="Chi Semantic Error">
      <persistent value="true"/>
      <super type="org.eclipse.core.resources.problemmarker"/>
      <super type="org.eclipse.core.resources.textmarker"/>
   </extension>

   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            class="org.eclipse.escet.chi.texteditor.ChiTextEditorPreferencePage"
            id="org.eclipse.escet.chi.texteditor.ChiTextEditorPreferencePage"
            name="Chi Text Editor">
      </page>
   </extension>
</plugin>
